package com.hzya.frame.plugin.lets.plugin.sales;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * O售后订单(仅退款) -> U8C红字应收单
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.plugin.sales
 * @Project：kangarooDataCenterV3
 * @name：RefundOnly
 * @Date：2024/9/3 17:19
 * @Filename：RefundOnly
 */
public class RefundOnly extends PluginBaseEntity {

    Logger logger = LoggerFactory.getLogger(RefundOnly.class);

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "sales.RefundOnly";
    }

    @Override
    public String getPluginName() {
        return "O售后订单(仅退款)生成U8C红字应收单";
    }

    @Override
    public String getPluginLabel() {
        return "O售后订单(仅退款)生成U8C红字应收单";
    }

    @Override
    public String getPluginType() {
        return "3";
    }

    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) throws Exception {
        return null;
    }


}